package com.reptileclient.jlifeapp.dao.hm;

import com.reptileclient.jlifeapp.entity.hm.HmSalesOrder;

import java.util.List;

public interface HmSalesOrderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmSalesOrder record);

    int insertSelective(HmSalesOrder record);

    HmSalesOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmSalesOrder record);

    int updateByPrimaryKey(HmSalesOrder record);
    
    int batcInsert(List<HmSalesOrder> list);
}